package com.sun.jndi.toolkit.dir;

import javax.naming.NamingException;
import javax.naming.Name;
import java.util.Properties;
import javax.naming.NameParser;

final class HierarchicalNameParser implements NameParser
{
    static final Properties mySyntax;
    
    HierarchicalNameParser() {
    }
    
    @Override
    public Name parse(String s) throws NamingException {
        return new HierarchicalName(s, HierarchicalNameParser.mySyntax);
    }
    
    static {
        (mySyntax = new Properties()).put("jndi.syntax.direction", "left_to_right");
        HierarchicalNameParser.mySyntax.put("jndi.syntax.separator", "/");
        HierarchicalNameParser.mySyntax.put("jndi.syntax.ignorecase", "true");
        HierarchicalNameParser.mySyntax.put("jndi.syntax.escape", "\\");
        HierarchicalNameParser.mySyntax.put("jndi.syntax.beginquote", "\"");
        HierarchicalNameParser.mySyntax.put("jndi.syntax.trimblanks", "false");
    }
}
